Hooks:PostHook(WeaponFactoryTweakData, "init", "RevGadgetPackModInit", function(self)
	local part_ovr_ids = {"wpn_fps_pis_chinchilla_b_satan"}
	local wpn_adds_ids = {"wpn_fps_pis_chinchilla","wpn_fps_pis_x_rage","wpn_fps_pis_x_chinchilla"}
	local wpn_ovr_ids = {"wpn_fps_pis_chinchilla","wpn_fps_pis_rage","wpn_fps_pis_x_rage","wpn_fps_pis_x_chinchilla"}
	for _, wpn_id in pairs(wpn_adds_ids) do
		if not self[wpn_id].adds then
			self[wpn_id].adds = {}
		end
	end
	for _, wpn_id in pairs(wpn_ovr_ids) do
		if not self[wpn_id].override then
			self[wpn_id].override = {}
		end
	end
	for _, part_id in pairs(part_ovr_ids) do
		if not self.parts[part_id].override then
			self.parts[part_id].override = {}
		end
	end
	for _, gadget_id in pairs(self.wpn_fps_pis_2006m.uses_parts) do
		if self.parts[gadget_id].type == "gadget" and self.parts[gadget_id].a_obj == "a_fl" then
			self.wpn_fps_pis_chinchilla.adds[gadget_id] = {"wpn_fps_pis_m29_gadget_rail"}
			self.wpn_fps_pis_rage.adds[gadget_id] = {"wpn_fps_pis_rage_gadget_rail"}
			self.wpn_fps_pis_x_chinchilla.adds[gadget_id] = {"wpn_fps_pis_m29_gadget_rail"}
			self.wpn_fps_pis_x_rage.adds[gadget_id] = {"wpn_fps_pis_rage_gadget_rail"}
			self.parts.wpn_fps_pis_chinchilla_b_satan.override[gadget_id] = {a_obj="a_fl_devil"}
			table.insert(self.wpn_fps_pis_chinchilla.uses_parts, gadget_id)
			table.insert(self.wpn_fps_pis_rage.uses_parts, gadget_id)
			table.insert(self.wpn_fps_pis_x_chinchilla.uses_parts, gadget_id)
			table.insert(self.wpn_fps_pis_x_rage.uses_parts, gadget_id)
		end
	end
	self.parts.wpn_fps_pis_chinchilla_b_satan.override.wpn_fps_pis_m29_gadget_rail = {unit = "units/mods/weapons/wpn_fps_pis_m29_pts/wpn_fps_pis_m29_gadget_rail_devil", a_obj="a_fl_devil"}
end)